using Managing.Domain.Shared.Rules;

namespace Managing.Domain.Strategies.Rules
{
    public class RSIShouldBeBullish : IValidationRule
    {
        private int _rsiValue;

        public RSIShouldBeBullish(int rsiValue)
        {
            _rsiValue = rsiValue;
        }

        public string Message => $"RSI is not bullish, current value : {_rsiValue}";

        public bool IsValid()
        {
            return _rsiValue > 70;
        }
    }
}
